Api

Get Reward

GET
/v1/rewards/{rewardId}

Authorization

WorkspaceApiKey
X-Api-Key<token>

Workspace-owned Better Auth API key of one environment (Sandbox or Live); it authorizes the Projects of that environment in its Workspace. A Project of the other environment returns 403 ENVIRONMENT_MISMATCH. Never expose it in the browser.

In: header

Path Parameters

rewardId*string
Match\S
Length1 <= length <= 512

Query Parameters

projectId*string
Match\S
Length1 <= length <= 512

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/rewards/string?projectId=string"
{  "id": "string",  "projectId": "string",  "programId": "string",  "ruleId": "string",  "termsVersionId": "string",  "eventId": "string",  "beneficiaryRole": "referrer",  "beneficiary": {    "participantId": "string",    "kind": "individual",    "externalId": "string"  },  "benefitKind": "cash",  "money": {    "amountMinor": "string",    "netAmountMinor": "string",    "currency": "string",    "currencyExponent": -9007199254740991  },  "discount": {    "rateBps": -9007199254740991  },  "custom": {    "quantity": -9007199254740991,    "customUnitId": "string",    "unitKey": "string",    "unitName": "string",    "unitNamePlural": "string",    "validityDays": -9007199254740991  },  "earnedAt": "string",  "fulfillmentStatus": "pending",  "fulfillment": {    "id": "string",    "externalReference": "string",    "occurredAt": "string",    "actor": "console"  },  "revocation": {    "id": "string",    "externalReference": "string",    "occurredAt": "string",    "actor": "console"  },  "delivery": {    "method": "operator",    "status": "pending",    "reason": "awaiting_operator",    "providerReference": "string"  },  "void": {    "id": "string",    "reasonCode": "fraud",    "reason": "string",    "voidedAt": "string"  },  "success": true}